Skip to content

Ha habido un error crítico en tu web, como solucionarlo.

Un fallo que suele ocurrir en páginas webs con WordPress antiguos que han tenido falta de mantenimiento es que cuando se intenta actualizar los plugins o cambiar a una versión más actualizada de WordPress aparece un error diciendo “Ha habido un error crítico en tu web”. Eso es debido a una incompatibilidad entre los plugins y tu plantilla o entre los mismos plugins con WordPress.

Los pasos para solucionarlo tienen que ir encaminados a descubrir que plugin ha causado el error o reinstalar WordPress si ha habido un error en el proceso de actualización, para ello tenemos que ingresar en nuestro  hosting directamente ya que ni siquiera podemos entrar en la parte administrativa de WordPress.

El primer paso sería editar el archivo wp-config.php para activar la función debug que es la que permite ver el error en pantalla con unas líneas de código que puede dar una pista de donde está el fallo.

Busca la linea define( ‘WP_DEBUG’, false );

y sustituye false por true: define( ‘WP_DEBUG’, true );

Recarga la web y mira si entre los códigos de errores que aparecen puedes ver algo parecido al subdirectorio /plugins/… el que sea … /

Si es el caso, iremos al directorio wp-content y dentro de la carpeta /plugins/ cambiaremos el nombre del plugin que está causando el problema añadiendo un guion bajo o cualquier otro carácter para desactivarlo. Y probamos ver la web si funciona sin ese plugin que causó que toda la web dejara de funcionar.

Pero si el modo “debug” activado con wp-config.php no nos dice nada claro y a pesar de haber desactivado el plugin,, sigue el error, tendremos que desactivar todos los plugin de una forma más directa renombrado la carpeta /plugins/ con otro nombre o basta añadiendo un guión bajo cambiando por ejemplo a /_plugin/ una vez hecho esto, si tenemos acceso a la web aunque no totalmente restaurada y sobre todo podemos acceder a wp-admin, la parte aministrativa, será una pista de que el error viene de los plugins y tendrás que repetir el anterior paso de ir desactivando plugins uno por uno hasta encontrar el o los que le afectan.

Un caso más grave podría ser que la actualización del WordPress haya sido el causante del error, para ello habrá que reponer la versión de WordPress anterior a la actualización. Esta labor consiste en ir a https://es.wordpress.org/download/releases/ y descargarse la versión antigua de WordPress.

Tendremos antes que nada hacer una copia de seguridad, por ftp los archivos y la base de datos por phpmyadmin. y una vez hecho esto borra las carpetas wp-admin y wp-includes. El siguiente paso es subir todos los archivos de versión de WordPress que quieras instalar, excepto el directorio wp-content. Cuando te pregunta si deseas sobrescribir los archivos, selecciona Sobrescribir > Ok: menos el wp-content y el archivo wp-config.php. una vez repuesto la versión de WordPress antigua por este método, al entrar en la web nos pedirá a través de un botón que actualicemos la base de datos y hecho esto, tu página web tendrá la versión anterior, antes de que la actualización provocara el error.

La web no podrá actualizarse en este sentido y habría que replantearse cambiar de plantillas y de plugins que cumplieran la misma funciones que los que causaron los errores.

Blog comments